QuantileQuantilePlots {fBasics} | R Documentation

## Quantile-Quantile Plots

### Description

Returns quantile-quantile plots for the normal, the normal inverse Gaussian, the generalized hyperbolic Student-t and the generalized lambda distribution.

List of Functions:

`qqnormPlot` | Returns a tailored Normal quantile-quantile plot,
`qqnigPlot` | Returns a tailored NIG quantile-quantile plot,
`qqghtPlot` | Returns a tailored GHT quantile-quantile plot,
`qqgldPlot` | Returns a tailored GLD quantile-quantile plot.

### Usage

    qqnormPlot(x, labels = TRUE, col = "steelblue", pch = 19,
        title = TRUE, mtext = TRUE, grid = FALSE, rug = TRUE,
        scale = TRUE, ...)
    qqnigPlot(x, labels = TRUE, col = "steelblue", pch = 19,
        title = TRUE, mtext = TRUE, grid = FALSE, rug = TRUE,
        scale = TRUE, ...)
    qqghtPlot(x, labels = TRUE, col = "steelblue", pch = 19,
        title = TRUE, mtext = TRUE, grid = FALSE, rug = TRUE,
        scale = TRUE, ...)
    qqgldPlot(x, labels = TRUE, col = "steelblue", pch = 19,
        title = TRUE, mtext = TRUE, grid = FALSE, rug = TRUE,
        scale = TRUE, ...)

### Arguments

`x` | an object of class `"timeSeries"` or any other object which can be transformed by the function `as.timeSeries` into an object of class `timeSeries`. The latter case, other then `timeSeries` objects, is more or less untested.
`labels` | a logical flag, should the plot be returned with default labels and decorated in an automated way? By default `TRUE`.
`col` | the color for the series. In the univariate case use just a color name like the default, `col="steelblue"`, in the multivariate case we recommend to select the colors from a color palette, e.g. `col=heat.colors(ncol(x))`.
`pch` | an integer value, by default 19. Which plot character should be used in the plot?
`title` | a logical flag, by default TRUE. Should a default title added to the plot?
`mtext` | a logical flag, by default TRUE. Should a marginal text be printed on the third site of the graph?
`grid` | a logical flag, should a grid be added to the plot? By default `TRUE`. To plot a horizontal lines only use `grid="h"` and for vertical lines use `grid="h"`, respectively.
`rug` | a logical flag, by default TRUE. Should a rug representation of the data added to the plot?
`scale` | a logical flag, by default TRUE. Should the time series be scaled for the investigation?
`...` | optional arguments to be passed.

### Value

displays a quantile-quantile plot.

### Author(s)

Diethelm Wuertz for the Rmetrics R-port.

### Examples

    ## data -
       SPI <- LPP2005REC[, "SPI"]
       plot(SPI, type = "l", col = "steelblue", main = "SP500")
       abline(h = 0, col = "grey")

    ## qqPlot -
       qqnormPlot(SPI)

[Package fBasics version 3042.89 Index]